Add to blacklist
curl --request POST \
--url https://api.botdog.co/v1/blacklist/{id}/leads \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"leads": [
{
"linkedinUrl": "https://www.linkedin.com/in/johndoe",
"name": "<string>",
"company": "<string>",
"location": "<string>",
"title": "<string>"
}
]
}
'import requests
url = "https://api.botdog.co/v1/blacklist/{id}/leads"
payload = { "leads": [
{
"linkedinUrl": "https://www.linkedin.com/in/johndoe",
"name": "<string>",
"company": "<string>",
"location": "<string>",
"title": "<string>"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
leads: [
{
linkedinUrl: 'https://www.linkedin.com/in/johndoe',
name: '<string>',
company: '<string>',
location: '<string>',
title: '<string>'
}
]
})
};
fetch('https://api.botdog.co/v1/blacklist/{id}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"listId": "<string>",
"count": 123
}blacklist
Add to blacklist
Add profiles to a blacklist. Batch — up to 100 at a time.
POST
/
v1
/
blacklist
/
{id}
/
leads
Add to blacklist
Authorizations
Path Parameters
Body
application/json
Profiles to add (maximum 100). Duplicates are skipped.
Show child attributes
Show child attributes
Was this page helpful?
⌘I